Get PTY session info
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/pty/{sid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/pty/{sid} \
--header 'Authorization: Bearer <token>'{
"session_id": "<string>",
"pid": 123,
"cols": 2,
"rows": 2,
"exec_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}PTY
Get PTY session info
GET
/
v1
/
machines
/
{id}
/
pty
/
{sid}
Get PTY session info
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/pty/{sid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/pty/{sid} \
--header 'Authorization: Bearer <token>'{
"session_id": "<string>",
"pid": 123,
"cols": 2,
"rows": 2,
"exec_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token